using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.IO;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x60,"PMT")]
    class ServiceMoveDescriptor : TsDescriptor
    {
        public ServiceMoveDescriptor(byte[] buffer)
        {
            MemoryStream ms = new MemoryStream(buffer, false);
            NewOriginalNetworkId = ms.ReadUInt16BE();
            NewTransportStreamId = ms.ReadUInt16BE();
            NewServiceId = ms.ReadUInt16BE();
        }

        public ushort NewServiceId { get; private set; }

        public ushort NewTransportStreamId { get; private set; }

        public ushort NewOriginalNetworkId { get; private set; }
    }
}
